#
# spec file for package imlib (Version 1.9.10)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel jpeg libfbm libjpeg libnetpbm libpng librle libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip jpeg kbd less libfbm libjpeg libnetpbm libpng librle libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         imlib
%define prefix   /usr
%define sysconfdir /etc
Copyright:    LGPL
Group:        X11/Libraries
Autoreqprov:  on
Summary:      Shared Library for loading and rendering 3D images
Version:      1.9.10
Release:      378
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-%{version}.tar.bz2
URL:          http://www.labs.redhat.com/imlib/
Patch:        imlib-1.9.8.1-imlib_config_i18n.patch
Patch1:       imlib-png-fix.dif
Patch2:       imlib-secfix.diff
Patch3:       libtool_DESTDIR.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a general, all-purpose image loading and rendering (Image data
to screen data) library. Imlib is capable of currently loading 25
different image formats.

See the file /usr/include/X11/imlib.h or directory
/usr/share/doc/packages/imlib for more details.

This shared library is needed for the Enlightenment windowmanager and
for GNOME.

Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

SuSE series: gra

%package      devel
Summary:      Imlib development environment
Group:        X11/Libraries
Autoreqprov:  on
Obsoletes:    imlibdev
Provides:     imlibdev

%description devel
You'll need this package if you'll develop own programs linked against
"imlib" or if you'll compile GNOME packages.

Authors:
--------
    Carsten Haitzler <raster@redhat.com>

SuSE series: gra

%package      config
Requires:     imlib
Summary:      Configuration tool for imlib
Group:        X11/Libraries
Autoreqprov:  on
Provides:     imlibcfe
Obsoletes:    imlibcfe

%description config
A graphical frontend to configure 'mlib' (imlib-config).

Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

SuSE series: gra

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%{?suse_update_config:%{suse_update_config -f}}
#get rid of obsolete libtool macros
rm -f acinclude.m4
libtoolize --force --copy
%patch3
aclocal
autoheader
automake --add-missing --copy
autoconf

%build
CFLAGS="${RPM_OPT_FLAGS}" \
LIBS=-L/usr/X11R6/lib \
  ./configure --x-libraries=/usr/X11R6/lib \
	--prefix=%prefix \
	--sysconfdir=%sysconfdir
make

%install
make -s DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS
%attr(755,root,root) %{prefix}/lib/lib*.so.*
%config %{sysconfdir}/*
%{prefix}/lib/libimlib-*.so

%files config
%defattr(-,root,root)
%{prefix}/bin/imlib_config

%files devel
%defattr(-, root, root)
%doc doc/*.html doc/*.gif
%{prefix}/bin/imlib-config
%{prefix}/lib/libImlib.so
%{prefix}/lib/libgdk_imlib.so
%{prefix}/lib/*a
%{prefix}/include/*
%{prefix}/share/aclocal/*

%changelog -n imlib
* Tue May 14 2002 - pthomas@suse.de
- Fix brown paperback bug: add explicit dependency on libgdk_imlib
  for dynamic modules of said lib.
- Add patch to support DESTDIR in ltmain.sh.
- Compilation now requires libjpeg, libpng, libgif etc.
* Wed Mar 27 2002 - pthomas@suse.de
- Security fix:
- Check that mallocs won't wrap around.
- Remove support for external helpers.
* Thu Sep 20 2001 - dan@suse.cz
- complete the previous fix (#10275)
* Wed Sep 19 2001 - egger@suse.de
- diff: Integrated 2 simple and obvious fixes (from 1.9.11) to
  allow imlib the correct handling of greyscale PNG images.
  Fixes bug #10275.
* Mon Jul 09 2001 - egger@suse.de
- Updated to version 1.9.10.
* Sat May 12 2001 - schwab@suse.de
- Fix typo.
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 1.9.9.
- Even more tidying.
* Mon Jan 29 2001 - pthomas@suse.de
- cleaned up spec file (got rid of all that -n stuff)
- renamed imlibcfe to imlib-config
* Sat Jan 27 2001 - violiet@suse.de
- added imlib_config i18n patch
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Removed ImageMagick dependency...
* Fri May 26 2000 - ke@suse.de
- update to version 1.9.8.1.
- ./configure -> %%build.
- add group tag.
- use DESTDIR.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 28 2000 - kukuk@suse.de
- update: version 1.9.8.
* Tue Oct 12 1999 - ke@suse.de
- update: version 1.9.7.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 29 1999 - ke@suse.de
- #neededforbuild libungif (instead of libgif).
* Mon Apr 12 1999 - ke@suse.de
- update: version 1.9.5.
- filelist changes.
* Mon Mar 01 1999 - ke@suse.de
- update: version 1.9.4.
- filelist addition.
* Sun Feb 14 1999 - ke@suse.de
- update: version 1.9.3.
* Thu Jan 21 1999 - ke@suse.de
- update: version 1.9.2.
* Thu Jan 14 1999 - ke@suse.de
- we want to use libpng 1.0.2.  Should work on i386.
* Wed Jan 13 1999 - ke@suse.de
- update: version 1.9.0.
* Sat Jan 09 1999 - ke@suse.de
- update: version 1.8.2.
* Mon Nov 02 1998 - ke@suse.de
- add -L/usr/X11R6/lib to the %%prep stage; remove it from %%build.
* Mon Oct 26 1998 - ke@suse.de
- update: version 1.8.1.
- build subpackages `imlib', `imlibdev', and `cfgeditor'.
* Wed Jul 08 1998 - maddin@suse.de
- new version 1.6
- prepared for Gnome
* Fri Nov 21 1997 - bs@suse.de
- don't call ldconfig in spec file
* Tue Nov 04 1997 - kgw@suse.de
  first SuSE version, ready for autobuild.
